# -*- coding: utf-8 -*-
# Generated by Django 1.11.11 on 2018-03-23 19:34
from __future__ import unicode_literals

from django.db import migrations
from django.utils.text import slugify


def populate_category_url(apps, schema_editor):
    Category = apps.get_model('cfblog', 'Category')

    for category in Category._base_manager.filter(is_static=False, url=None):
        category.url = '/{}/'.format(slugify(category.title))
        category.save(update_fields=['url'])


class Migration(migrations.Migration):

    dependencies = [
        ('cfblog', '0007_category_url'),
    ]

    operations = [
        migrations.RunPython(
            populate_category_url,
            reverse_code=migrations.RunPython.noop,
        )
    ]
